ServerEvents.recipes(event => {
	event.remove({ mod: 'irons_restrictions' })
	event.remove({ mod: 'numismatics' })
})


ServerEvents.recipes(event => {

	event.shapeless(
		Item.of('irons_restrictions:unfinished_manuscript'),
		[
			'irons_restrictions:fragment',
			'4x irons_spellbooks:arcane_essence'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:ender"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'minecraft:ender_pearl'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:holy"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'irons_spellbooks:divine_pearl'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:fire"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'minecraft:blaze_powder'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:ice"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'irons_spellbooks:frozen_bone'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:lightning"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'irons_spellbooks:lightning_bottle'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:blood"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'irons_spellbooks:blood_vial'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:evocation"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'minecraft:emerald'
		]
	)
	event.shapeless(
		Item.of('irons_restrictions:manuscript', {
			"irons_restrictions:school_component": "irons_spellbooks:nature"
		}),
		[
			'irons_restrictions:unfinished_manuscript',
			'minecraft:short_grass'
		]
	)
})

ServerEvents.recipes(event => {
	event.recipes.create.milling(['irons_restrictions:fragment', CreateItem.of('irons_restrictions:fragment', 0.2)], 'irons_spellbooks:scroll')
})

ServerEvents.recipes(event => {
    event.recipes.ars_nouveau.enchanting_apparatus(
        [
            "allthemodium:unobtainium_block",
            "allthemodium:unobtainium_block",
            "allthemodium:unobtainium_block",
            "allthemodium:unobtainium_block",
        ],
        "allthearcanistgear:unobtainium_spell_book",
        "allthearcanistgear:creative_spell_book",
        50000,
    );
})

ServerEvents.recipes(event => {
	event.recipes.create.crushing([CreateItem.of('allthemodium:allthemodium_nugget', 0.03), CreateItem.of('allthemodium:vibranium_nugget', 0.011), CreateItem.of('allthemodium:unobtainium_nugget', 0.003), CreateItem.of('minecraft:netherite_scrap', 0.09)], 'allthemodium:ancient_stone')
	event.recipes.create.crushing([CreateItem.of('alltheores:copper_nugget', 0.1), CreateItem.of('mysticalagriculture:inferium_essence', 0.02)], 'minecraft:basalt')
	event.recipes.create.crushing([CreateItem.of('minecraft:diamond', 0.06), CreateItem.of('mysticalagriculture:inferium_essence', 0.02)], 'minecraft:deepslate')
})